net.dontdrinkandroot.lastfm.api.model

## Class Shout

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Shout

All Implemented Interfaces:
  Serializable, AuthorEntity, BodyEntity, DateEntity, Entity

    public class Shout
    extends LfmEntity
    implements DateEntity, AuthorEntity, BodyEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Shout(Element element)` Creates a `Shout` from a Dom `Element`.

### Method Summary

Methods
`String` `getAuthor()`
`String` `getBody()`
`Date` `getDate()`
`void` `setAuthor(String author)`
`void` `setBody(String body)`
`void` `setDate(Date date)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Shout

    public Shout(Element element)

Creates a `Shout` from a Dom `Element`.

Parameters:
  `element` - The `Element` to parse.

### Method Detail

#### getDate

    public Date getDate()

Specified by:
  `getDate` in interface `DateEntity`

#### setDate

    public void setDate(Date date)

Specified by:
  `setDate` in interface `DateEntity`

#### getBody

    public String getBody()

Specified by:
  `getBody` in interface `BodyEntity`

#### setBody

    public void setBody(String body)

Specified by:
  `setBody` in interface `BodyEntity`

#### getAuthor

    public String getAuthor()

Specified by:
  `getAuthor` in interface `AuthorEntity`

#### setAuthor

    public void setAuthor(String author)

Specified by:
  `setAuthor` in interface `AuthorEntity`